
Redmine - Defect #5877

Project Identifier is invalid when contains only numbers

2010-07-13 14:45 - Vit Jonas

Status: Closed Start date: 2010-07-13

Priority: Normal Due date:  

Assignee: Felix Schäfer % Done: 0%

Category: Translations Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 0.9.4

Description

When Project Identifier contains only numbers Redmine reports: Identifier is invalid. But when one other character mentioned in help

text is added (eg '-') then it is OK.

So I think that either adjust help text to state at least one other character to numbers must be present or adjust Project Identifier

check.

MySQL 5.0.51a

Ruby 1.8.7

Rails distributed with Redmine package

History

#1 - 2010-07-13 17:16 - Felix Schäfer

- Status changed from New to Closed

- Resolution set to Wont fix

It's not possible to allow numeric-only identifiers, because certain parts of redmine search for the database ID if passed a numeric parameter and for

the identifier if passed a string parameter.

Could you please tell me which documentation you are referring too? If it's in the wiki here, you should probably also be able to edit it yourself.

#2 - 2010-07-13 22:47 - Vit Jonas

Its the text in New Project form:

Length between 1 and 20 characters. Only lower case letters (a-z), numbers and dashes are allowed.

 No indication that one chracter except digits must be present

#3 - 2010-07-14 13:29 - Felix Schäfer

- Category set to Translations

- Assignee set to Felix Schäfer

Vit Jonas wrote:

Its the text in New Project form:

Length between 1 and 20 characters. Only lower case letters (a-z), numbers and dashes are allowed.

 No indication that one chracter except digits must be present

 Ok, I now see what you mean. Are you a native speaker and could change "Only lower case letters (a-z), numbers and dashes are allowed." so that it

says that numbers-only isn't allowed?
